//<?php

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !\defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	exit;
}

class tutorials_hook_forumCatController extends _HOOK_CLASS_
{
	/**
	 * Delete
	 *
	 * @return	void
	 */
	protected function delete()
	{
		try
		{
			try
			{
				try
				{
					try
					{
						$nodeClass = $this->nodeClass;
						if ( \IPS\Request::i()->subnode )
						{
							$nodeClass = $nodeClass::$subnodeClass;
						}
				
						try
						{
							$node = $nodeClass::load( \IPS\Request::i()->id );
						}
						catch ( \OutOfRangeException $e )
						{
							\IPS\Output::i()->error( 'node_error', 'TUTORIALS-DELETE FORUM/2', 404, '' );
						}
				
						if ( $tutCat = $node->isUsedByTutorials() )
						{
							\IPS\Member::loggedIn()->language()->words['tutorials_forum_used'] = sprintf( \IPS\Member::loggedIn()->language()->get('tutorials_forum_used'), $tutCat->id, $tutCat->_title );
							\IPS\Output::i()->error( 'tutorials_forum_used', 'TUTORIALS-DELETE FORUM/1', 403, '' );
						}
				
						return parent::delete();
					}
					catch ( \RuntimeException $e )
					{
						if ( method_exists( get_parent_class(), __FUNCTION__ ) )
						{
							return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
						}
						else
						{
							throw $e;
						}
					}
				}
				catch ( \RuntimeException $e )
				{
					if ( method_exists( get_parent_class(), __FUNCTION__ ) )
					{
						return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
					}
					else
					{
						throw $e;
					}
				}
			}
			catch ( \RuntimeException $e )
			{
				if ( method_exists( get_parent_class(), __FUNCTION__ ) )
				{
					return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
				}
				else
				{
					throw $e;
				}
			}
		}
		catch ( \RuntimeException $e )
		{
			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}
}